# BASIC 256 - Language Documentation

pt:gosubreturn

## Gosub

### Formato

gosub etiqueta
etiqueta:
statement(s)
return

### Descrição

GOSUB faz o programa saltar para a etiqueta . Quando encontra a instrução RETURN regressa de novo à posição original.

### Exemplo

    a$ = "Hello"
    gosub double
    print a$
    b = 3
    gosub triple
    print b
    end

    double:
    a$ = a$ + a$
    return

    triple:
    b = b * 3
    return

mostrará

    HelloHello
    9

### Ver também

Goto, Return

### Notas

As of version 0.9.9.2 Goto, Gosub, and labels can not be used in Function and Subroutine definitions.

pt/gosubreturn.txt · Last modified: 2012/12/10 13:39 by m_santos